| optoMDC

Loading...
Searching...
No Matches
optoMDC.mre3.MRE3Board Class Reference
Inheritance diagram for optoMDC.mre3.MRE3Board:

## Public Member Functions
| __init__ (self, str or None port=None, bool verbose=False)

## Public Attributes
| Status = mre3Registers.MRE3Status(board=self)
| TemperatureManager = mre3Registers.MRE3TemperatureManager(board=self)
| MiscFeatures = mre3Registers.MRE3MiscFeatures(board=self)
| Logger = mre3Registers.Logger(board=self)
| SnapshotManager = mre3Registers.SnapshotManager(board=self)
| ResonantAmplitudeControl = mre2Registers.ResonantAmplitudeControl(board=self)
| Channel_0 = MRE3Channel(self, 0)
| Channel_1 = MRE3Channel(self, 1)
list | channel = [self.Channel_0, self.Channel_1]
| EEPROM = mre3Registers.MRE3BoardEEPROM(board=self)
| OpticalFeedback = mre3Registers.OpticalFeedback(board=self)
| SignalFlowManager = mre3Registers.SignalFlowManager(board=self)
| VectorPatternMemory = mre3Registers.VectorPatternMemory(board=self)
| ADCcontrol = mre3Registers.ADCcontrol(board=self)
| DACcontrol = mre3Registers.DACcontrol(board=self)
| RadialBasisFunction = mre3Registers.RadialBasisFunction(board=self)
| CurrentFeedThrough = mre2Registers.CurrentFeedThrough(board=self)
| LinearOutput = mre3Registers.LinearOutput(board=self)
| SignalFlowFeedback = mre3Registers.SignalFlowFeedback(self.SignalFlowManager)
| systems = mre3Registers.systems()
| verbose

## Detailed Description

        Board object from which to issue MR-E-3 commands over a serial connection.

        Parameters
        ----------
        port, baud rate, comm_lock, verbose
        Standard serial connection parameters. Extended from Connection class.
        Raises
        ------
        none

        Notes
        -----
        Board extends Connection class. Refer to Connection for methods, parameters, etc.
        Board inherits Commands. Refer to Commands for methods, parameters, etc.

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.mre3.MRE3Board.__init__ | ( |  | self,
|  | str or None | port = None,
|  | bool | verbose = False )

## Member Data Documentation

## ◆ ADCcontrol

optoMDC.mre3.MRE3Board.ADCcontrol = mre3Registers.ADCcontrol(board=self)

## ◆ channel

list optoMDC.mre3.MRE3Board.channel = [self.Channel_0, self.Channel_1]

## ◆ Channel_0

optoMDC.mre3.MRE3Board.Channel_0 = MRE3Channel(self, 0)

## ◆ Channel_1

optoMDC.mre3.MRE3Board.Channel_1 = MRE3Channel(self, 1)

## ◆ CurrentFeedThrough

optoMDC.mre3.MRE3Board.CurrentFeedThrough = mre2Registers.CurrentFeedThrough(board=self)

## ◆ DACcontrol

optoMDC.mre3.MRE3Board.DACcontrol = mre3Registers.DACcontrol(board=self)

## ◆ EEPROM

optoMDC.mre3.MRE3Board.EEPROM = mre3Registers.MRE3BoardEEPROM(board=self)

## ◆ LinearOutput

optoMDC.mre3.MRE3Board.LinearOutput = mre3Registers.LinearOutput(board=self)

## ◆ Logger

optoMDC.mre3.MRE3Board.Logger = mre3Registers.Logger(board=self)

## ◆ MiscFeatures

optoMDC.mre3.MRE3Board.MiscFeatures = mre3Registers.MRE3MiscFeatures(board=self)

## ◆ OpticalFeedback

optoMDC.mre3.MRE3Board.OpticalFeedback = mre3Registers.OpticalFeedback(board=self)

## ◆ RadialBasisFunction

optoMDC.mre3.MRE3Board.RadialBasisFunction = mre3Registers.RadialBasisFunction(board=self)

## ◆ ResonantAmplitudeControl

optoMDC.mre3.MRE3Board.ResonantAmplitudeControl = mre2Registers.ResonantAmplitudeControl(board=self)

## ◆ SignalFlowFeedback

optoMDC.mre3.MRE3Board.SignalFlowFeedback = mre3Registers.SignalFlowFeedback(self.SignalFlowManager)

## ◆ SignalFlowManager

optoMDC.mre3.MRE3Board.SignalFlowManager = mre3Registers.SignalFlowManager(board=self)

## ◆ SnapshotManager

optoMDC.mre3.MRE3Board.SnapshotManager = mre3Registers.SnapshotManager(board=self)

## ◆ Status

optoMDC.mre3.MRE3Board.Status = mre3Registers.MRE3Status(board=self)

## ◆ systems

optoMDC.mre3.MRE3Board.systems = mre3Registers.systems()

## ◆ TemperatureManager

optoMDC.mre3.MRE3Board.TemperatureManager = mre3Registers.MRE3TemperatureManager(board=self)

## ◆ VectorPatternMemory

optoMDC.mre3.MRE3Board.VectorPatternMemory = mre3Registers.VectorPatternMemory(board=self)

## ◆ verbose

optoMDC.mre3.MRE3Board.verbose

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/mre3.py